Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ssaglobal.generator.genctl
Interface Template

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  TemplateImpl

    public interface Template

extends org.eclipse.emf.ecore.EObject

A representation of the model object 'Template'. The Template element creates a link between a BDE element type, e.g., ApplicationServer or defines a template that will be processed by the generator and links it to a BDE element.

The following features are supported:

- `Template Path`
- `Name Template Path`
- `Engine`
- `Writer`
- `Merge Class Name`
- `Condition`
- `Applies To`

See Also:
  `GenctlPackage.getTemplate()`

Method Summary
`org.eclipse.emf.common.util.EList` | `getAppliesTo()` Returns the value of the 'Applies To' containment reference list.
`TemplateCondition` | `getCondition()` Returns the value of the 'Condition' containment reference
`TemplateEngineType` | `getEngine()` Returns the value of the 'Engine' attribute.
`java.lang.Class` | `getMergeClass()`
`java.lang.String` | `getMergeClassName()` Returns the value of the 'Merge Class Name' attribute
`java.lang.String` | `getNameTemplatePath()` Returns the value of the 'Name Template Path' attribute
`java.lang.String` | `getTemplatePath()` Returns the value of the 'Template Path' attribute
`TemplateWriterType` | `getWriter()` Returns the value of the 'Writer' attribute.
`boolean` | `isSetEngine()` Returns whether the value of the '`Engine`' attribute is set
`boolean` | `isSetWriter()` Returns whether the value of the '`Writer`' attribute is set
`void` | `setCondition(TemplateCondition value)` Sets the value of the '`Condition`' containment reference
`void` | `setEngine(TemplateEngineType value)` Sets the value of the '`Engine`' attribute
`void` | `setMergeClass(java.lang.Class mergeClass)`
`void` | `setMergeClassName(java.lang.String value)` Sets the value of the '`Merge Class Name`' attribute
`void` | `setNameTemplatePath(java.lang.String value)` Sets the value of the '`Name Template Path`' attribute
`void` | `setTemplatePath(java.lang.String value)` Sets the value of the '`Template Path`' attribute
`void` | `setWriter(TemplateWriterType value)` Sets the value of the '`Writer`' attribute
`void` | `unsetEngine()` Unsets the value of the '`Engine`' attribute
`void` | `unsetWriter()` Unsets the value of the '`Writer`' attribute

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getAppliesTo

    org.eclipse.emf.common.util.EList getAppliesTo()

  Returns the value of the 'Applies To' containment reference list. The list contents are of type `AppliesTo`.

  Returns:
    the value of the 'Applies To' containment reference list.
  See Also:
    `GenctlPackage.getTemplate_AppliesTo()`

### getTemplatePath

    java.lang.String getTemplatePath()

  Returns the value of the 'Template Path' attribute. The path to the template file relative to the path identified by the parent GeneratorConfig element's templateRoot element. For example, if templateRoot is c:/templates and this element is baan4c/public/bde.tpl, the actual template file used will be c:/templates/baan4c/public/bde.tpl.

  Returns:
    the value of the 'Template Path' attribute.
  See Also:
    `setTemplatePath(String)`, `GenctlPackage.getTemplate_TemplatePath()`

### setTemplatePath

    void setTemplatePath(java.lang.String value)

  Sets the value of the '`Template Path`' attribute.

  Parameters:
    `value` - the new value of the 'Template Path' attribute.
  See Also:
    `getTemplatePath()`

### getNameTemplatePath

    java.lang.String getNameTemplatePath()

  Returns the value of the 'Name Template Path' attribute. The path to a second template file that will be used to form the name of the output file. The value will be used like templatePath to locate a second template file. The string returned by processing the second template will be appended to the value of the parentGeneratorConfig element's outputRoot element to form the full path to the output file. For example, if templateRoot is c:/templates, and nameTemplatePath is baan4c/public/bdeName.tpl, the template file at c:/templates/baan4c/public/bdeName.tpl will be evaluated. Then, assuming outputRoot is c:/java and c:/templates/baan4c/public/bdeName.tpl evaluates to com/ssaglobal/baan4c/public/Test.java, the results of processing the first template will be written to c:/java/com/ssaglobal/baan4c/public/Test.java.

  Returns:
    the value of the 'Name Template Path' attribute.
  See Also:
    `setNameTemplatePath(String)`, `GenctlPackage.getTemplate_NameTemplatePath()`

### setNameTemplatePath

    void setNameTemplatePath(java.lang.String value)

  Sets the value of the '`Name Template Path`' attribute.

  Parameters:
    `value` - the new value of the 'Name Template Path' attribute.
  See Also:
    `getNameTemplatePath()`

### getEngine

    TemplateEngineType getEngine()

  Returns the value of the 'Engine' attribute. The default value is `"Jamon"`. The literals are from the enumeration `TemplateEngineType`. Identifies the template engine to be used to process the templates.

  Returns:
    the value of the 'Engine' attribute.
  See Also:
    `TemplateEngineType`, `isSetEngine()`, `unsetEngine()`, `setEngine(TemplateEngineType)`, `GenctlPackage.getTemplate_Engine()`

### setEngine

    void setEngine(TemplateEngineType value)

  Sets the value of the '`Engine`' attribute.

  Parameters:
    `value` - the new value of the 'Engine' attribute.
  See Also:
    `TemplateEngineType`, `isSetEngine()`, `unsetEngine()`, `getEngine()`

### unsetEngine

    void unsetEngine()

  Unsets the value of the '`Engine`' attribute.

  See Also:
    `isSetEngine()`, `getEngine()`, `setEngine(TemplateEngineType)`

### isSetEngine

    boolean isSetEngine()

  Returns whether the value of the '`Engine`' attribute is set.

  Returns:
    whether the value of the 'Engine' attribute is set.
  See Also:
    `unsetEngine()`, `getEngine()`, `setEngine(TemplateEngineType)`

### getWriter

    TemplateWriterType getWriter()

  Returns the value of the 'Writer' attribute. The default value is `"none"`. The literals are from the enumeration `TemplateWriterType`. Identifies an optional "writer" that will be used to write the template output.

  Returns:
    the value of the 'Writer' attribute.
  See Also:
    `TemplateWriterType`, `isSetWriter()`, `unsetWriter()`, `setWriter(TemplateWriterType)`, `GenctlPackage.getTemplate_Writer()`

### setWriter

    void setWriter(TemplateWriterType value)

  Sets the value of the '`Writer`' attribute.

  Parameters:
    `value` - the new value of the 'Writer' attribute.
  See Also:
    `TemplateWriterType`, `isSetWriter()`, `unsetWriter()`, `getWriter()`

### unsetWriter

    void unsetWriter()

  Unsets the value of the '`Writer`' attribute.

  See Also:
    `isSetWriter()`, `getWriter()`, `setWriter(TemplateWriterType)`

### isSetWriter

    boolean isSetWriter()

  Returns whether the value of the '`Writer`' attribute is set.

  Returns:
    whether the value of the 'Writer' attribute is set.
  See Also:
    `unsetWriter()`, `getWriter()`, `setWriter(TemplateWriterType)`

### getMergeClassName

    java.lang.String getMergeClassName()

  Returns the value of the 'Merge Class Name' attribute. Fully qualified class name of a helper class used to merge the template output with an existing file.

  Returns:
    the value of the 'Merge Class Name' attribute.
  See Also:
    `setMergeClassName(String)`, `GenctlPackage.getTemplate_MergeClassName()`

### setMergeClassName

    void setMergeClassName(java.lang.String value)

  Sets the value of the '`Merge Class Name`' attribute.

  Parameters:
    `value` - the new value of the 'Merge Class Name' attribute.
  See Also:
    `getMergeClassName()`

### getCondition

    TemplateCondition getCondition()

  Returns the value of the 'Condition' containment reference. Optional condition that can be evaluated to determine whether or not the template should be processed.

  Returns:
    the value of the 'Condition' containment reference.
  See Also:
    `setCondition(TemplateCondition)`, `GenctlPackage.getTemplate_Condition()`

### setCondition

    void setCondition(TemplateCondition value)

  Sets the value of the '`Condition`' containment reference.

  Parameters:
    `value` - the new value of the 'Condition' containment reference.
  See Also:
    `getCondition()`

### getMergeClass

    java.lang.Class getMergeClass()

### setMergeClass

    void setMergeClass(java.lang.Class mergeClass)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD